Skala
Product recipes

Create a new product recipe

Adds a new product recipe record to the database.

POST
/api/product_recipes

Adds a new product recipe record to the database.

AuthorizationBearer <token>

In: header

Request Body

application/json

The new ProductRecipe resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.skalasuite.com/api/product_recipes" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "cost": "string",
  "product": {
    "id": 0,
    "name": "string",
    "category": {
      "id": 0,
      "name": "string"
    },
    "unit": {
      "id": 0,
      "name": "string"
    },
    "currency": {
      "id": 0,
      "name": "string",
      "code": "string",
      "symbol": "string"
    },
    "isMaking": true,
    "isBuying": true,
    "unitConversion": 1
  },
  "items": [
    {}
  ],
  "isNeedRecalculate": true
}
Empty
Empty